from src import listener_context, listener_mention, imdb_datasets_worker
from config import logger_default_level
from loguru import logger
import time
import sys



def main():
    logger.remove()
    logger.add(sink=sys.stderr, level=logger_default_level)
    logger.add(sink='suggestions.log', level='INFO', filter='src.listener_context')

    listener_mention.run_scan_notif() # Слушаем упоминания в фоне
    time.sleep(1)

    listener_context.scan_context_thread() # Слушаем тред на новые предложения фильмов

if __name__ == '__main__':
    main()
